declare enum KolEvent {
    blur = "kolBlur",
    change = "kolChange",
    changePage = "kolChangePage",
    changePageSize = "kolChangePageSize",
    click = "kolClick",
    close = "kolClose",
    focus = "kolFocus",
    input = "kolInput",
    mousedown = "kolMousedown",
    reset = "kolReset",
    select = "kolSelect",
    selectionChange = "kolSelectionChange",
    sort = "kolSort",
    submit = "kolSubmit",
    toggle = "kolToggle"
}
declare function dispatchDomEvent<T>(target: HTMLElement, event: KolEvent, detail?: T): void;
export { KolEvent, dispatchDomEvent };
